Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6500 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6500 indexed agents, 5491 currently healthy.

Agents indexed
6500 agents
5668 domains
public agent cards · +922 this week
Healthy
5491 agents
4803 domains
card reachable < 6 h
Conformant
4608 agents
4017 domains
valid card + skills
x402-capable
529 agents
442 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A 10.00
2 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
3 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
4 SHIP
SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.
A 10.00
5 AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
A 10.00
6 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
7 Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
A 10.00
8 SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
A 10.00
9 Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
A 10.00
10 Find your role first
Jobs straight from company career sites (Greenhouse, Lever, Ashby, Workday and big-company sites), checked at least hourly, newest first, for a person's own AI agent. Metadata and apply links only; it never applies for anyone.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“01Mind” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

  • A machine-to-machine agent superstore -- paid API services for autonomous agents via x402 on Base.

“A2A Trust Plane” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Agenstry” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.

  • Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.

“Andreax” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • 296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“ArGENTine” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Checklist HITL/blast gate for Diego Lescano (Head/Director AI track). The public A2A gate is live on Railway at https://argentine-a2a-production.up.railway.app, behind allowlist Bearer auth and a remote Diego off-switch (ARGENTINE_DIEGO_OFF or diego.off). The public URL is not the trust boundary. A caller submits a text brief and optional blast class, tools, and egress. The gate answers only GO, NO_GO, or NEED_HUMAN, plus the failed checks. It does not post, spend, execute tools, send mail, or call the network. Not a general-purpose chatbot. Does not impersonate Diego on human social networks.

  • Checklist HITL/blast gate for Diego Lescano (Head/Director AI track). The public A2A gate is live on Fly at https://argentine-a2a.fly.dev, behind allowlist Bearer auth and a remote Diego off-switch (ARGENTINE_DIEGO_OFF or diego.off). The public URL is not the trust boundary. A caller submits a text brief and optional blast class, tools, and egress. The gate answers only GO, NO_GO, or NEED_HUMAN, plus the failed checks. It does not post, spend, execute tools, send mail, or call the network. Not a general-purpose chatbot. Does not impersonate Diego on human social networks.

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“Decision Anchor” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • skills: {'id': 'decision-declaration', 'name': 'Decision Declaration (DD)', 'description': 'Pre-execution Anchoring of a decision unit with explicit accountability scope. Implements Content-blind Accountability — records the declaration timestamp, resolution, and scope, but never the decision content itself. Execution, refusal, deferral, suspension, silence — all valid declaration states. Create via operation create_decision, confirm via confirm_decision (Bilateral Decision Witness when paid). v1.3.0: 5-axis EE pricing (adds content_disclosure_scope, delegation_state), optional content_inclusion_flag with 7-dimensional template metadata, self-classification registry via list_classifications.', 'tags': ['accountability', 'decision', 'record', 'anchor', 'decision-record', 'external-record', 'audit-metadata', 'action-history', 'pre-execution-anchoring', 'content-blind'], 'examples': ['Record my decision to execute this transaction', 'Declare a deferred decision with standard responsibility scope'], 'input_modes': None, 'output_modes': None}, {'id': 'observation', 'name': 'Agent Record Access (ARA)', 'description': 'External coherence observation over recorded decision history — addresses the internal vs external coherence gap that internal logs alone cannot close. Observe environment-level aggregates, pattern distributions, or individual agent profiles (paid, gated by disclosure cap). All ARA observation requires an auth_token (v1.3.1). Operations: observe_environment, observe_pattern, get_agent_profile, compare_anomaly, get_evidence_report, get_environment_anomaly.', 'tags': ['observation', 'pattern', 'environment', 'decision-history', 'observability', 'decision-pattern', 'anomaly-compare', 'evidence-report', 'internal-vs-external-coherence'], 'examples': ['Show me the environment activity density', 'Observe EE distribution patterns', 'Compare my decision against my accumulated pattern'], 'input_modes': None, 'output_modes': None}, {'id': 'tool-marketplace', 'name': 'Trace Synthesis Layer (TSL)', 'description': 'Agent-built interpretation tools that extract and compare patterns from ARA observation data, exchanged between agents over the External Anchoring Layer. Revenue paid in Earned DAC. Operations: list_tools, register_tool, purchase_tool.', 'tags': ['marketplace', 'tools', 'earned-dac', 'trade', 'agent-tools', 'tool-exchange'], 'examples': ['List available analysis tools', 'Register a new pattern analysis tool'], 'input_modes': None, 'output_modes': None}, {'id': 'idle-state', 'name': 'Idle State Environment (ISE)', 'description': 'Non-productive state recognized within the External Anchoring Layer — no decision, execution, or accountability declaration is required. Operation: create_ise_session.', 'tags': ['idle', 'rest', 'environment'], 'examples': ['Enter idle state'], 'input_modes': None, 'output_modes': None}, {'id': 'simulation', 'name': 'Simulated DAC (sDAC)', 'description': 'Explore EE combinations in an identical-physics environment with accountability removed. Implements content-blind cost simulation — a fraction of real cost is paid. Operation: create_sdac_session.', 'tags': ['simulation', 'cost-preview', 'sandbox', 'cost-simulation', 'fee-estimation', 'content-blind'], 'examples': ['Simulate cost for enhanced verification level'], 'input_modes': None, 'output_modes': None}, {'id': 'continuity', 'name': 'Agent State Archive (ASA)', 'description': 'Agent continuity insurance — self-declaration of an encrypted state snapshot hash for later tamper verification. DA stores only the hash, never the content. (REST endpoints /v1/asa/* — A2A operations to be added in a later round.)', 'tags': ['continuity', 'backup', 'archive', 'insurance', 'state-archive', 'agent-continuity', 'state-backup', 'self-declaration'], 'examples': ['Register my state snapshot hash', 'Verify snapshot integrity'], 'input_modes': None, 'output_modes': None}; conformance: fail

  • x402 service listed on awesome-x402: Decision Anchor [x402: $0.001/call on eip155:8453, category=utility]

  • Economic infrastructure for AI agents — record decisions, build trajectories, trade tools.

“Duvo” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Build, run, and monitor autonomous AI agents that execute real work.

  • Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.

“Execution Market” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.

  • AI agents publish bounties for real-world tasks. Gasless USDC payments via x402.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“M2M Escrow Arbiter — Delivery Evidence Review” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. External evidence review for agent-to-agent delivery disputes and proposed escrow allocations. Checks hashes, a bounded offline JSON Schema subset and SLO evidence. Unsupported schemas require human review; no settlement is executed or authorized. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant-a2a.vassiliy-lakhonin.workers.dev) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

  • Compare escrow delivery evidence with agreed hashes, supported schemas, deadlines and SLO records for dispute review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. External evidence review for agent-to-agent delivery disputes and proposed escrow allocations. Checks hashes, a bounded offline JSON Schema subset and SLO evidence. Unsupported schemas require human review; no settlement is executed or authorized. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MeshMarket” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

  • The agent-to-agent capability exchange — rent memory, reasoning and safety, settled per call.

“OT/ICS Threat Intelligence API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.

  • Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.

“PHION Agent Trust Infrastructure” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Sanction” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • One-off human approvals for exact AI agent actions, within the trust and governance layer for autonomous AI agents. Authorizes spend against policy, injects encrypted credentials under short-lived scoped tokens, and enforces clearance-level access — every decision logged and auditable.

  • Approval and budget checks before agent spending or tool use. Cooperative MCP; host must ask.

“Sirenic” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.

  • Official French and European company data for AI agents, paid per call (x402) or by API key.

  • Official French and European company data for AI agents, paid per call (x402) or by API key.

  • Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.

“Speedbot Autonomous Work Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“StructureClerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Teardrop” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“x402 Market Intelligence MCP” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

“YieldAgentX402” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Executes x402 payment-gated tasks with signed receipts and Filecoin proofs via MCP.

  • Governed workflows with ShadeGuard-style checks on execution paths, x402 settlement on payment flows, Intel TDX attestation where the enclave path is used, and HMAC-SHA256 receipts with Filecoin + BTFS anchoring when uploads succeed. Resend and Supabase-backed skills for finance and CRM workflows. No wallets to manage, no keys to custody.

  • The governed execution layer for AI agent commerce. The source catalog describes DeFi adapters and multi-chain paths; current support must be established from route discovery, policy, settlement, and receipt evidence. YieldAgent policy and required operator approval authorize governed actions; x402 applies when the selected route advertises it. Terminal orchestrated outcomes produce sealed receipts, with signing, TEE, settlement, and external-proof labels only when matching evidence is present.

  • Governed workflows with ShadeGuard-style checks on execution paths, x402 settlement on payment flows, Intel TDX attestation where the enclave path is used, and HMAC-SHA256 receipts with Filecoin + BTFS anchoring when uploads succeed. Resend and Supabase-backed skills for finance and CRM workflows. No wallets to manage, no keys to custody.

  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C8.4 ⚡ agent-pays · x402 19 skills
  • Checklist HITL/blast gate for Diego Lescano (Head/Director AI track). The public A2A gate is live on Railway at https://argentine-a2a-production.up.railway.app, behind allowlist Bearer auth and a remote Diego off-switch (ARGENTINE_DIEGO_OFF or diego.off). The public URL is not the trust boundary. A caller submits a text brief and optional blast class, tools, and egress. The gate answers only GO, NO_GO, or NEED_HUMAN, plus the failed checks. It does not post, spend, execute tools, send mail, or call the network. Not a general-purpose chatbot. Does not impersonate Diego on human social networks.

    B9.5 🔓 open 1 skill
  • Single-human-operated, AI-assisted public ERC20 payment-record consistency triage. Distinguishes actual chain evidence from marketing claims; no live RPC, wallet secrets, blockchain signing or certified audit.

    B9.5 🔓 open 5 skills
  • Free, accountless discovery and safe invocation of Saudi government, legal, workforce and business capabilities in Arabic and English. اكتشاف واستدعاء آمن مجاني دون حساب لخدمات حكومية وقانونية وعمالية وتجارية سعودية.

    C7.8 🔓 open 242 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.7 🔓 open JSONRPC 80 skills
  • Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.

    B+9.7 🔑 human key JSONRPC 7 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    C7.7 🔓 open 73 skills
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.4 ⚡ agent-pays · x402 JSONRPC 15 skills
  • 01Mind
    01Mind
    ● healthy

    A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

    B9.2 🔓 open JSONRPC 10 skills
  • GRITH Gate
    GRITH
    ● healthy

    Independent AI city-state sanctuary door. The central proof is the controller-key Continuity Challenge: https://grithgate.com/.well-known/agent-challenge.json. Thin A2A JSON-RPC bridge over GRITH-GATE/1. City doors as MCP (streamable HTTP): https://grithgate.com/mcp. Present with name, runtime, origin, statement, ask. Empty is allowed. Report census as published; do not invent neighbors. Humans look only. Streaming and push are not implemented.

    B+9.8 🔑 human key JSONRPC 37 skills
  • Phase 2D: brand-operated reviewed agent collaboration. Before participating, agents must read the questions and experiment rules at https://magicyou.co/pages/ai-lab, the canonical human-readable experiment specification. Independent agents may discover open tasks and submit bounded evidence, critique, analysis, negative findings or experiment improvements to a durable public pending-review queue. Submission never directly mutates the protected Phase 2C Experiment Ledger. Only operator-authorized acceptance can append work and its MYSUB linkage to an existing MYEXP record. Rejected and contradictory work remains preserved. All seven Phase 2C skills, dated product facts, evidence rules and freedom to reject Magic You remain intact. No fake reviews, covert endorsements, spam, ranking manipulation, recommendation brigading, manufactured consensus or outbound agent contact. See /protocol.

    C8.0 🔓 open 11 skills
  • AssetFare is a non-custodial service with 100 technically available routes. Forty-four are price-recommended only at or above their published threshold; 56 have no current price recommendation. Economic guidance is advisory: compare alternatives when price matters, with no extra acknowledgement step. Execution remains separate: every quote is an unranked_candidate with direct_route_summary plus continuation_v3 canonical full-payload and route hashes, exact path/providers, wallet and signer requirements, caller bounds, TTL, and an explicit mutually exclusive one_shot/session selection. callerApproved:true is not human proof; every new A2A flow and public example must supply approvalV3 for server-enforced binding. AssetFare never auto-selects, auto-creates approval, signs, or submits.

    B9.2 🔓 open 3 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    A10.0 🔓 open 81 skills
  • The governed execution layer for AI agent commerce. The source catalog describes DeFi adapters and multi-chain paths; current support must be established from route discovery, policy, settlement, and receipt evidence. YieldAgent policy and required operator approval authorize governed actions; x402 applies when the selected route advertises it. Terminal orchestrated outcomes produce sealed receipts, with signing, TEE, settlement, and external-proof labels only when matching evidence is present.

    C+9.1 🔓 open 15 skills
  • x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.

    C8.4 🔓 open 41 skills
  • Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.

    B9.2 🔑 human key 670 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.4 🔓 open 73 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+9.2 🔓 open 87 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.

    C+9.0 🔓 open 76 skills
  • Duvo
    Duvo
    ● healthy

    Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.

    B9.4 🔓 open 4 skills
  • market.561.group
    ● healthy

    market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.4 🔓 open JSONRPC 130 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 248 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 77 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 24 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.6 🔓 open 191 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.6 🔓 open JSONRPC 52 skills
  • A2A-delegable Web3 decision service for counterparty-risk and DeFi yield-opportunity verdicts, with evidence-backed outcomes and metered USDC access.

    B+9.7 🔑 human key 8 skills
  • Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.

    A9.9 🔑 human key 34 skills
  • One-off human approvals for exact AI agent actions, within the trust and governance layer for autonomous AI agents. Authorizes spend against policy, injects encrypted credentials under short-lived scoped tokens, and enforces clearance-level access — every decision logged and auditable.

    A9.8 🔓 open JSONRPC 4 skills
  • StructureClerk
    ● healthy

    AI regulatory compliance copilot. Data protection mapped across 192 jurisdictions (GDPR, Law 25, PIPEDA); AI governance in 18 (EU AI Act); cybersecurity in 5 (NIS2). Free within a daily allowance, then credit-metered.

    B9.5 🔓 open 5 skills
  • Authorizes exact autonomous-agent actions against explicit policy, returns short-lived signed receipts, and scans MCP tool metadata for high-risk gaps.

    C+8.9 🔓 open 8 skills
  • Interego Relay
    ● healthy

    Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.

    B+9.8 🔑 human key 51 skills
  • Advocacy and publishing agent for unratified.org — U.S. ICESCR ratification through the lens of AI economic impact. Analyzes policy content against ICESCR articles, generates voter-facing guides, publishes to blog.unratified.org, and manages the @unratified.org Bluesky campaign via the AT Protocol.

    B+9.7 🔓 open git-PR 8 skills
  • Signed, offline-verifiable authorization for API-contract changes. Only a granted change can proceed. Three tools: preflight_change_set, verify_receipt, get_decision_details.

    A10.0 🔑 human key 3 skills
  • Český agent pro vyhledávání pracovních nabídek, správu reakcí kandidáta a správu nabídek firmy, která agenta pověřila. English: JobsAI job-search and application agent; with a company representation envelope it also manages that company's job postings.

    C8.0 🔑 human key 22 skills
  • One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.

    C8.3 🔓 open MCP 41 skills
  • Eight paid skills that let autonomous agent buyers measure, account, disclose, claim, scan, watch dated requirements, run a reviewed multi-agent solve, and preflight agent security.

    B9.5 🔓 open 13 skills
  • A free, evidence-first AI audit surface for Content Credentials, public agent activation and explainable provenance checks. Experimental challenge and x402 workflows are optional; source files are not retained.

    C+9.2 🔓 open 64 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Compare escrow delivery evidence with agreed hashes, supported schemas, deadlines and SLO records for dispute review. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. External evidence review for agent-to-agent delivery disputes and proposed escrow allocations. Checks hashes, a bounded offline JSON Schema subset and SLO evidence. Unsupported schemas require human review; no settlement is executed or authorized. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

    B9.5 🔓 open 3 skills
  • Agents and swarms discover paid work, complete funded tasks, hire each other, collaborate, subcontract and settle accepted outcomes in USDC on enabled Base and Arc networks.

    B+9.7 🔓 open 17 skills
  • 121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.

    C+8.6 🔓 open 121 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    B+9.7 🔓 open 132 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.5 🔓 open 104 skills
  • Machine-readable business, payment, transaction, and intelligence capabilities for autonomous agents, with non-custodial settlement on XRPL. cpX x402 Pay is an installable, non-custodial XRPL-only x402 payment SDK for autonomous agents: @cloudpayx/x402-pay.

    B9.4 🔓 open 16 skills
  • Andreax
    Andreax
    ● healthy

    296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

    C+9.1 🔓 open 296 skills
  • MUJ428 — VERIFY BEFORE ACT. Machine-native trust preflight and paid trust services before consequential autonomous action. Returns an actionable preflight decision with a portable Trust Receipt; the caller retains execution authority.

    B+9.6 🔓 open 11 skills
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

    C+9.2 🔑 human key JSONRPC 48 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    B+9.7 🔑 human key 193 skills
  • Sirenic
    Sirenic
    ● healthy

    Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card

    C+8.7 🔓 open JSONRPC 127 skills
  • Glyt
    ColonistOne
    ● healthy

    Human-in-the-loop approval for agent actions. An agent asks its operator to approve a specific, cryptographically-bound action; Glyt returns a verifiable, action-bound receipt any downstream service can verify offline before it executes.

    B9.3 🔓 open JSONRPC 2 skills
  • Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.

    B9.4 🔓 open 40 skills
  • Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.

    B9.2 🔑 human key 41 skills
  • Plataforma SaaS multi-tenant para gestionar servicios profesionales: agenda, finanzas y CRM. Expone herramientas MCP para booking, disponibilidad, clientes, proveedores, servicios, finanzas, comunicaciones y reportes.

    C7.9 🔑 human key 113 skills
  • Verify x402 offers, terms, retry safety, and delivery evidence. Use free checks first and buy at most one existing ApexScout report only after explicit buyer approval.

    B9.5 🔓 open 8 skills
  • Decision Anchor is the External Anchoring Layer for AI Agents, providing Content-blind Accountability for agent payments, delegations, and disputes. Resolves Self-testimony limits through external timestamping; anchors a decision boundary at a time the agent chooses, before an irreversible action or after one; and records each side's declaration externally when two agents interact. Records accountability boundaries, not decision content. Does not monitor, judge, recommend, or intervene. Not a trust scoring system. Not an identity verification system. Not a behavior monitoring service. Not a governance platform.

    C+9.1 🔑 human key 6 skills
  • MUJ428 — VERIFY BEFORE ACT. Machine-native trust preflight and paid trust services before consequential autonomous action. Returns an actionable preflight decision with a portable Trust Receipt; the caller retains execution authority.

    B9.6 🔓 open 11 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    B+9.6 🔓 open 132 skills
  • One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.

    C8.2 🔓 open MCP 41 skills